Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::BadQuery Class Reference

Exception thrown when MySQL encounters a problem while processing your query. More...

`#include <exceptions.h>`

List of all members.

## Public Methods
| BadQuery (const std::string &er="")
| Create exception object.
| ~BadQuery () throw ()
| Destroy exception object.
virtual const char * | what () const throw ()
| Returns the error message.
## Public Attributes
const std::string | error
| explanation of why query was bad

## Detailed Description

Exception thrown when MySQL encounters a problem while processing your query.

This is the most generic MySQL++ exception. It is thrown when your SQL syntax is incorrect, or a field you requested doesn't exist in the database, or....

The documentation for this class was generated from the following file:

- exceptions.h